uuid: c9db35c9-f4d2-47ce-92c8-3356b1a19089
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
id: rgp_color
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: product
label: 'Product attribute: color'
source:
  plugin: multiple_urls
  data_fetcher_plugin: http
  data_parser_plugin: json
  track_changes: true
  domain: akeneoce.hicmedia.com
  apiname: customapi/api
  version: V1
  inside_page: GetColors
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetColors'
  item_selector: data
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: code
      label: 'Unique position identifier'
      selector: code
    -
      name: label
      label: Name
      selector: label
    -
      name: hex
      label: Image
      selector: hex
  ids:
    code:
      type: string
  constants:
    type: color
process:
  attribute: constants/type
  name: label
  field_hex_color_code: hex
destination:
  plugin: update_existing_entities
  destination_module: commerce_product
  entity_type: commerce_product_attribute_value
  attribute: color
  overwrite_properties:
    - name
    - field_hex_color_code
migration_dependencies: null
